import type { Result } from "@/lib/types";

export default function toCSV(
  headers: string[],
  rows: { date: string; runs: Result[] }
) {
  console.log(rows);
  const a = rows.runs.flatMap((run) =>
    run.children.map((child) => [
      run.run_name,
      child.test_name,
      child.path,
      child.success? "true" : "false",
      child.duration!/1000
    ])
  );

  return [headers.join(","), ...a.map((row) => row.join(","))].join("\n");
}


