const { defineConfig } = require("cypress");
const setupAnalyticsPlugin = require("./src/index");

module.exports = defineConfig({
  historyTrackerURL: "http://localhost:3001",
  e2e: {
    setupNodeEvents(on, config) {
      // Set up the analytics plugin
      setupAnalyticsPlugin(on, config);
      return config;
    },
  },
});
