export type Result = {
  run_id: number;
  run_name: string;
  date: string;
  totalseconds: number;
  success_count: number;
  failure_count: number;
  children: Array<{
    id: number;
    run_id: number;
    test_name: string;
    path: string;
    duration?: number;
    success?: boolean;
    pending: boolean
  }>;
};
